<?php

namespace Drupal\file_metadata_cleaner\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines the File Processor plugin annotation object.
 *
 * @Annotation
 */
class FileProcessor extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the processor.
   *
   * @var \Drupal\Core\StringTranslation\TranslatableMarkup
   */
  public $label;

}
