<?php

namespace Drupal\file_metadata_cleaner\Plugin\FileProcessor;

/**
 * Processes JPEG image files to clean or extract metadata.
 *
 * @FileProcessor(
 *   id = "jpeg",
 *   label = @Translation("JPEG File Processor")
 * )
 */
class JpegProcessor extends FileProcessorBase {

  /**
   * {@inheritdoc}
   */
  public function supports(string $mimeType): bool {
    return $mimeType === 'image/jpeg';
  }

}
