<?php

namespace Drupal\file_metadata_cleaner\Plugin\FileProcessor;

/**
 * Processes JPEG image files to clean or extract metadata.
 *
 * @FileProcessor(
 *   id = "jpg",
 *   label = @Translation("JPG File Processor")
 * )
 */
class JpgProcessor extends FileProcessorBase {

  /**
   * {@inheritdoc}
   */
  public function supports(string $mimeType): bool {
    return $mimeType === 'image/jpg';
  }

}
