<?php

namespace Drupal\file_metadata_cleaner\Plugin\FileProcessor;

/**
 * Processes PDF files to clean or extract metadata.
 *
 * @FileProcessor(
 *   id = "pdf",
 *   label = @Translation("PDF File Processor")
 * )
 */
class PdfProcessor extends FileProcessorBase {

  /**
   * {@inheritdoc}
   */
  public function supports(string $mimeType): bool {
    return $mimeType === 'application/pdf';
  }

}
